Import xdmchoose 1.1.1.

xdmchooser is a modifided version of the standard X11 chooser, with
a slighty nicer 3D-ish interface.  Instead of broadcasting, it
allows the user to supply a host via the keyboard.
This commit is contained in:
naddy 2001-02-18 16:27:28 +00:00
parent 8804b45106
commit 964547fb98
8 changed files with 202 additions and 0 deletions

32
x11/xdmchoose/Makefile Normal file
View File

@ -0,0 +1,32 @@
# $OpenBSD: Makefile,v 1.1.1.1 2001/02/18 16:27:28 naddy Exp $
DISTNAME= xdmchoose-1.1.1
CATEGORIES= x11
NEED_VERSION= 1.352
HOMEPAGE= http://frmb.home.cern.ch/frmb/xdmchoose.html
MAINTAINER= Christian Weisgerber <naddy@openbsd.org>
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
MASTER_SITES= http://frmb.home.cern.ch/frmb/download/
BUILD_DEPENDS= automake::devel/automake
USE_X11= Yes
CONFIGURE_STYLE= gnu
post-install:
@perl -i -pe 's!%%PREFIX%%!${PREFIX}!g' ${WRKSRC}/xdmchoose.conf
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/xdmchoose
${INSTALL_DATA} ${WRKSRC}/xdmchoose.conf \
${PREFIX}/share/examples/xdmchoose/
${INSTALL_DATA_DIR} ${PREFIX}/share/xdmchoose
. for bg in blur plain tiled
${INSTALL_DATA} ${WRKSRC}/xdmchoose-${bg}.xpm ${PREFIX}/share/xdmchoose/
. endfor
.include <bsd.port.mk>

3
x11/xdmchoose/files/md5 Normal file
View File

@ -0,0 +1,3 @@
MD5 (xdmchoose-1.1.1.tar.gz) = 439e636c093cfb34454d152cfe1664cb
RMD160 (xdmchoose-1.1.1.tar.gz) = bec9390e939b914b60a89d88ab303ca161178916
SHA1 (xdmchoose-1.1.1.tar.gz) = 1cd902215459a3e15f30711053f97533de999e34

View File

@ -0,0 +1,21 @@
$OpenBSD: patch-xdmchoose_conf,v 1.1.1.1 2001/02/18 16:27:28 naddy Exp $
--- xdmchoose.conf.orig Fri Jan 19 02:28:40 2001
+++ xdmchoose.conf Thu Jan 25 02:34:39 2001
@@ -15,7 +15,7 @@ app.allowbroadcast 0
# Uncomment the line below to specify a script executed when the chooser starts
-# app.startscript "/etc/xdmchooser-script"
+# app.startscript "/etc/xdmchooser-script"
# app.startscriptkill "Xdialog"
app.extratext 1
app.allowctrlc 1
@@ -29,7 +29,7 @@ unknown.highlight "#f0f0ff"
unknown.shadow "#808090"
unknown.tentry "gray90"
-panel.background "xdmchoose-blur.xpm"
+panel.background "%%PREFIX%%/share/xdmchoose/xdmchoose-blur.xpm"
title.foreground "#000090"
title.text "X Window System"

View File

@ -0,0 +1 @@
alternative xdm-invoked chooser

View File

@ -0,0 +1,51 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2001/02/18 16:27:28 naddy Exp $
#
# De-installation setup of xdmchoose
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/xdmchoose.conf
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

17
x11/xdmchoose/pkg/DESCR Normal file
View File

@ -0,0 +1,17 @@
xdmchooser is a modifided version of the standard X11 chooser, with
a slighty nicer 3D-ish interface. Instead of broadcasting, it
allows the user to supply a host via the keyboard. This is useful
when the list of machines extends beyond the limit of a broadcast,
or is too cumbersome to enter on the command line (in one of the
xdm config files).
xdmping is a quick way of determining if a host is willing to provide
an xdm login session. This is probably only useful in certain
circumstances.
To get this to work, add/modify the following line in the xdm-config
file:
DisplayManager*chooser: ${PREFIX}/bin/xdmchooser
WWW: ${HOMEPAGE}

68
x11/xdmchoose/pkg/INSTALL Normal file
View File

@ -0,0 +1,68 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2001/02/18 16:27:28 naddy Exp $
#
# Pre/post-installation setup of xdmchoose
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/xdmchoose.conf
SAMPLE_FILE=$PREFIX/share/examples/xdmchoose/xdmchoose.conf
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file ${SAMPLE_FILE}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_FILE} ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs"
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

9
x11/xdmchoose/pkg/PLIST Normal file
View File

@ -0,0 +1,9 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2001/02/18 16:27:28 naddy Exp $
bin/xdmchooser
bin/xdmping
share/examples/xdmchoose/xdmchoose.conf
share/xdmchoose/xdmchoose-blur.xpm
share/xdmchoose/xdmchoose-plain.xpm
share/xdmchoose/xdmchoose-tiled.xpm
@dirrm share/examples/xdmchoose
@dirrm share/xdmchoose